%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	bulkhandler

Name:		freepbx-%{rawname}
Version:	16.0.16
Release:	1%{?dist}
Summary:	Bulk Handler

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz


Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Bulk Handler manages the bulk export or import of extensions, DIDs, user manager users, user manager groups, and contacts. You can export any of these as a CSV file. You can also upload a CSV file to save time versus having to enter each item individually. The module provides required/recommended headers for your CSV files.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh hooks ; do
        [ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -depth -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Mon Feb 13 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.16
- Updated version

* Wed Sep 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.15
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Tue Feb 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.9
- Initial build
